package com.chenyang.nse.bussiness.engine.infa.basic.xmlbean;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = "",
   propOrder = {"scale", "precision", "porttype", "picturetext", "name", "description", "defaultvalue", "datatype", "transformfieldattr"}
)
@XmlRootElement(
   name = "TRANSFORMFIELD"
)
public class TRANSFORMFIELD {
   @XmlAttribute(
      name = "NAME",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String name;
   @XmlAttribute(
      name = "DESCRIPTION"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String description;
   @XmlAttribute(
      name = "DATATYPE",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String datatype;
   @XmlAttribute(
      name = "PORTTYPE",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String porttype;
   @XmlAttribute(
      name = "PRECISION",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String precision;
   @XmlAttribute(
      name = "SCALE"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String scale;
   @XmlAttribute(
      name = "PICTURETEXT"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String picturetext;
   @XmlAttribute(
      name = "DEFAULTVALUE"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String defaultvalue;
   @XmlAttribute(
      name = "EXPRESSION"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String expression;
   @XmlAttribute(
      name = "EXPRESSIONTYPE"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String expressiontype;
   @XmlAttribute(
      name = "EXPRESSION_DESCRIPTION"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String expressiondescription;
   @XmlAttribute(
      name = "FIELDNUMBER"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String fieldnumber;
   @XmlAttribute(
      name = "REF_SOURCE_FIELD"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String refsourcefield;
   @XmlAttribute(
      name = "MAPPLETGROUP"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String mappletgroup;
   @XmlAttribute(
      name = "REF_FIELD"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String reffield;
   @XmlAttribute(
      name = "REF_TRANSFORMATION"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String reftransformation;
   @XmlAttribute(
      name = "REF_INSTANCETYPE"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String refinstancetype;
   @XmlAttribute(
      name = "SEQUENCE_GENERATOR_VALUE"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String sequencegeneratorvalue;
   @XmlAttribute(
      name = "GROUP"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String group;
   @XmlAttribute(
      name = "OUTPUTGROUP"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String outputgroup;
   @XmlAttribute(
      name = "ISSORTKEY"
   )
   @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
   protected String issortkey;
   @XmlAttribute(
      name = "SORTDIRECTION"
   )
   @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
   protected String sortdirection;
   @XmlAttribute(
      name = "IGNORE_NULL_INPUTS"
   )
   @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
   protected String ignorenullinputs;
   @XmlAttribute(
      name = "IGNORE_IN_COMPARE"
   )
   @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
   protected String ignoreincompare;
   @XmlElement(
      name = "TRANSFORMFIELDATTR"
   )
   protected List<TRANSFORMFIELDATTR> transformfieldattr;

   public String getNAME() {
      return this.name;
   }

   public void setNAME(String value) {
      this.name = value;
   }

   public String getDESCRIPTION() {
      return this.description;
   }

   public void setDESCRIPTION(String value) {
      this.description = value;
   }

   public String getDATATYPE() {
      return this.datatype;
   }

   public void setDATATYPE(String value) {
      this.datatype = value;
   }

   public String getPORTTYPE() {
      return this.porttype;
   }

   public void setPORTTYPE(String value) {
      this.porttype = value;
   }

   public String getPRECISION() {
      return this.precision;
   }

   public void setPRECISION(String value) {
      this.precision = value;
   }

   public String getSCALE() {
      return this.scale;
   }

   public void setSCALE(String value) {
      this.scale = value;
   }

   public String getPICTURETEXT() {
      return this.picturetext;
   }

   public void setPICTURETEXT(String value) {
      this.picturetext = value;
   }

   public String getDEFAULTVALUE() {
      return this.defaultvalue;
   }

   public void setDEFAULTVALUE(String value) {
      this.defaultvalue = value;
   }

   public String getEXPRESSION() {
      return this.expression;
   }

   public void setEXPRESSION(String value) {
      this.expression = value;
   }

   public String getEXPRESSIONTYPE() {
      return this.expressiontype;
   }

   public void setEXPRESSIONTYPE(String value) {
      this.expressiontype = value;
   }

   public String getEXPRESSIONDESCRIPTION() {
      return this.expressiondescription;
   }

   public void setEXPRESSIONDESCRIPTION(String value) {
      this.expressiondescription = value;
   }

   public String getFIELDNUMBER() {
      return this.fieldnumber;
   }

   public void setFIELDNUMBER(String value) {
      this.fieldnumber = value;
   }

   public String getREFSOURCEFIELD() {
      return this.refsourcefield;
   }

   public void setREFSOURCEFIELD(String value) {
      this.refsourcefield = value;
   }

   public String getMAPPLETGROUP() {
      return this.mappletgroup;
   }

   public void setMAPPLETGROUP(String value) {
      this.mappletgroup = value;
   }

   public String getREFFIELD() {
      return this.reffield;
   }

   public void setREFFIELD(String value) {
      this.reffield = value;
   }

   public String getREFTRANSFORMATION() {
      return this.reftransformation;
   }

   public void setREFTRANSFORMATION(String value) {
      this.reftransformation = value;
   }

   public String getREFINSTANCETYPE() {
      return this.refinstancetype;
   }

   public void setREFINSTANCETYPE(String value) {
      this.refinstancetype = value;
   }

   public String getSEQUENCEGENERATORVALUE() {
      return this.sequencegeneratorvalue;
   }

   public void setSEQUENCEGENERATORVALUE(String value) {
      this.sequencegeneratorvalue = value;
   }

   public String getGROUP() {
      return this.group;
   }

   public void setGROUP(String value) {
      this.group = value;
   }

   public String getOUTPUTGROUP() {
      return this.outputgroup;
   }

   public void setOUTPUTGROUP(String value) {
      this.outputgroup = value;
   }

   public String getISSORTKEY() {
      return this.issortkey;
   }

   public void setISSORTKEY(String value) {
      this.issortkey = value;
   }

   public String getSORTDIRECTION() {
      return this.sortdirection;
   }

   public void setSORTDIRECTION(String value) {
      this.sortdirection = value;
   }

   public String getIGNORENULLINPUTS() {
      return this.ignorenullinputs;
   }

   public void setIGNORENULLINPUTS(String value) {
      this.ignorenullinputs = value;
   }

   public String getIGNOREINCOMPARE() {
      return this.ignoreincompare;
   }

   public void setIGNOREINCOMPARE(String value) {
      this.ignoreincompare = value;
   }

   public List<TRANSFORMFIELDATTR> getTRANSFORMFIELDATTR() {
      if (this.transformfieldattr == null) {
         this.transformfieldattr = new ArrayList();
      }

      return this.transformfieldattr;
   }
}
